//Initial vigor calculation for the first segment, i.e. Seed, [0]
#define ALPHA0  5.0f
//Initial vigor calculation as a factor for accumulated light value,[0]
#define ALPHA1  2.0f
//Phyllotaxis rotation for a newly created segment, [degree]
#define PHYLROT 137.52f
//Non-planarity twist of a newly created segment, [degree]
#define NONPLANTWIST 90.0f
//Number of voxels of the available space
#define VOXDEN		201
//Physical dimension of the available space, e.g. [m]
#define SPAN		200
//Number of the growth iterations, e.g. [years/month]
#define MAXITER		7
//Cylinders/segment container increment
#define NCYLINC		100000
//Initial width of a segment, e.g. [m], same units as SPAN
#define INITWIDTH	0.1f
//Length of a node, e.g. [m], same units as SPAN
#define NODELENGTH 	1.0f
//Maximal allowed vigor for a newly created segment, [0]
#define MAXGROW		19.9f
//Pipe-model exponent, [0]
#define PIPEEXP		2.6f
//Strength of the environment reorientation of a segment when it is created, 0-1
#define REORIENT 	0.4f
//Maximal allowed redirection influence on a segment
#define REDIRSTREN 	0.4f
//Gravitation reorientation vector with [0, 0, TROPISM] components
#define	TROPISM 	0.02f
//How much leaves
#define	LEAFINESS 	0.0
//Resources demand exponent
#define	NONLINEAR 	1.0f
//Initial apical dominance parameter, lam > 0.5 more apical, <0.5 more peripheral
#define INITLAM 0.650000
//Target lambda value
#define TARGLAM 0.510000
//Transition between INITLAM and TARGLAM, [number of growth iterations]
#define	TRANSITION 	7.0f
//Number of growth iterations to wait before the TRANSITION
#define	DELAY 		7.0f
//Maximum average vigor allowed for a branch of segment
#define	DROPTHRESH 	0.3f
//Radius to sense the shading environment, e.g. [m], same units as SPAN
#define	SAMPLERAD 	1.6f
//Random number generator state, 0 for automatic timestamp derived
#define RNDSEED         1
//The random component in the initial light condition distribution, 0-1
#define	RAN 		0.05f
//Strength of the vertical gradient in the initial light cond distribution, 0-1
#define	VERT 		0.00f
//Inclination angle, [degree]
#define	BRANCHANGLE 	65.0f
//Shadown propagation multiplication coefficient, [number of voxels]
#define	SPREAD 		1.0f
//Number of voxels for the shadow propagation
#define	DEPTH 		6
//Shadow decay constant
#define	CONSTA 		0.441f
//Shadow decay exponent
#define	CONSTB 		6.31f
//Whether to generate output MTG file, logical
#define MTGOUT 0
//Whether to print general info, logical
#define INFOUT 0
//Whether to generate the scatters data output, logical
#define SCAOUT 1
//Maximum order of branches for the scatters data
#define MAXORDER 10
//Whether to use empirical topology rather than analytical, logical
#define EMPTOP 0
//Whether to put some graphical labels
#define LABEL 0
//Whether to use sympodial growth, i.e. removing apical segments all the time, logical
#define SYMPOD 0
//Maximum number of cylinders to maintain
#define MAXNCYL 2e6
//Maximum number of live cylinders to maintain
#define MAXLIVECYL 1e6
